Project

General

Profile

Bug #46100

vstart_runner.py: check for Raw instance before treating as iterable

Added by Rishabh Dave 3 months ago. Updated 3 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
-
Target version:
% Done:

0%

Source:
Development
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Component(FS):
Labels (FS):
qa
Pull request ID:
Crash signature:

Description

2020-06-19 11:51:29,359.359 INFO:__main__:======================================================================
2020-06-19 11:51:29,359.359 INFO:__main__:ERROR: test_cd_with_args (tasks.cephfs.test_cephfs_shell.TestCD)
2020-06-19 11:51:29,359.359 INFO:__main__:----------------------------------------------------------------------
2020-06-19 11:51:29,359.359 INFO:__main__:Traceback (most recent call last):
2020-06-19 11:51:29,359.359 INFO:__main__:  File "/home/rishabh/repos/ceph/master/qa/tasks/cephfs/kernel_mount.py", line 84, in umount
2020-06-19 11:51:29,359.359 INFO:__main__:    self.client_remote.run(args=cmd, timeout=(15*60))
2020-06-19 11:51:29,359.359 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 356, in run
2020-06-19 11:51:29,359.359 INFO:__main__:    return self._do_run(**kwargs)
2020-06-19 11:51:29,359.359 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 423, in _do_run
2020-06-19 11:51:29,359.359 INFO:__main__:    proc.wait()
2020-06-19 11:51:29,359.359 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 204, in wait
2020-06-19 11:51:29,359.359 INFO:__main__:    raise CommandFailedError(self.args, self.exitstatus)
2020-06-19 11:51:29,359.359 INFO:__main__:teuthology.exceptions.CommandFailedError: Command failed with status 1: ['umount', '/tmp/tmp8w5odtsa/mnt.0']
2020-06-19 11:51:29,359.359 INFO:__main__:
2020-06-19 11:51:29,359.359 INFO:__main__:During handling of the above exception, another exception occurred:
2020-06-19 11:51:29,359.359 INFO:__main__:
2020-06-19 11:51:29,360.360 INFO:__main__:Traceback (most recent call last):
2020-06-19 11:51:29,360.360 INFO:__main__:  File "/home/rishabh/repos/ceph/master/qa/tasks/cephfs/cephfs_test_case.py", line 173, in tearDown
2020-06-19 11:51:29,360.360 INFO:__main__:    m.teardown()
2020-06-19 11:51:29,360.360 INFO:__main__:  File "/home/rishabh/repos/ceph/master/qa/tasks/cephfs/kernel_mount.py", line 135, in teardown
2020-06-19 11:51:29,360.360 INFO:__main__:    self.umount()
2020-06-19 11:51:29,360.360 INFO:__main__:  File "/home/rishabh/repos/ceph/master/qa/tasks/cephfs/kernel_mount.py", line 92, in umount
2020-06-19 11:51:29,360.360 INFO:__main__:    ], timeout=(15*60))
2020-06-19 11:51:29,360.360 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 356, in run
2020-06-19 11:51:29,360.360 INFO:__main__:    return self._do_run(**kwargs)
2020-06-19 11:51:29,360.360 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 374, in _do_run
2020-06-19 11:51:29,360.360 INFO:__main__:    if "/" not in args[0]:
2020-06-19 11:51:29,360.360 INFO:__main__:TypeError: argument of type 'Raw' is not iterable

History

#1 Updated by Rishabh Dave 3 months ago

  • Status changed from In Progress to Fix Under Review
  • Pull request ID set to 35665

#2 Updated by Patrick Donnelly 3 months ago

  • Status changed from Fix Under Review to Resolved
  • Target version set to v16.0.0
  • Source set to Development

Also available in: Atom PDF